### Property

# FwupdPlugin Context:power-state

since: 1.8.11

#### Declaration

    property power-state: guint [ read, write ]

#### Description [src]

The system power state.

Type:`guint`

Available since: 1.8.11

Default value | 0
Getter method | `fu_context_get_power_state()`
Setter method | `fu_context_set_power_state()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no